package cz.moneta.test.dsl.ib.cards.application;

import cz.moneta.test.dsl.ib.IbPageFlow;
import cz.moneta.test.harness.support.web.*;

import static cz.moneta.test.dsl.ib.cards.application.PersonalDetailsPage.PAGE_NAME;


@Wait(PAGE_NAME)
public interface PersonalDetailsPage extends IbPageFlow<PersonalDetailsPage> {

    String PAGE_NAME = "//*[@id=\"helpNav\"]/tbody/tr[2]/td[text()='Osobní údaje']";
    String CONTINUE_BUTTON = "//*[@id=\"mainFrm\"]/table[4]/tbody/tr/td[2]/img";

    @Select(value = "RS_OSOBNIDOKLAD2TYP", by = Lookup.ID)
    PersonalDetailsPage selectSecondIdType(String idType);

    @TypeInto(value = "RS_OSOBNIDOKLAD2CISLO", by = Lookup.ID)
    PersonalDetailsPage setSecondIdNumber(String secondIDNumber);

    @TypeInto(value = "RS_OSOBNIDOKLAD2PLATNOSTDO", by = Lookup.ID)
    PersonalDetailsPage setSecondIdValidTo(String secondIdValidTo);

    @Click(CONTINUE_BUTTON)
    EmploymentDetailsPage continueToEmploymentDetails();
}
